// Code generated by mockery v2.20.0. DO NOT EDIT.

package mockclients

import (
	context "context"

	mock "github.com/stretchr/testify/mock"
	tharsis "gitlab.com/infor-cloud/martian-cloud/tharsis/tharsis-sdk-go/pkg"

	types "gitlab.com/infor-cloud/martian-cloud/tharsis/tharsis-sdk-go/pkg/types"
)

// User is an autogenerated mock type for the User type
type User struct {
	mock.Mock
}

// GetUserPaginator provides a mock function with given fields: ctx, input
func (_m *User) GetUserPaginator(ctx context.Context, input *types.GetUsersInput) (*tharsis.UserPaginator, error) {
	ret := _m.Called(ctx, input)

	var r0 *tharsis.UserPaginator
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *types.GetUsersInput) (*tharsis.UserPaginator, error)); ok {
		return rf(ctx, input)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *types.GetUsersInput) *tharsis.UserPaginator); ok {
		r0 = rf(ctx, input)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*tharsis.UserPaginator)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *types.GetUsersInput) error); ok {
		r1 = rf(ctx, input)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetUsers provides a mock function with given fields: ctx, input
func (_m *User) GetUsers(ctx context.Context, input *types.GetUsersInput) (*types.GetUsersOutput, error) {
	ret := _m.Called(ctx, input)

	var r0 *types.GetUsersOutput
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *types.GetUsersInput) (*types.GetUsersOutput, error)); ok {
		return rf(ctx, input)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *types.GetUsersInput) *types.GetUsersOutput); ok {
		r0 = rf(ctx, input)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*types.GetUsersOutput)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *types.GetUsersInput) error); ok {
		r1 = rf(ctx, input)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

type mockConstructorTestingTNewUser interface {
	mock.TestingT
	Cleanup(func())
}

// NewUser creates a new instance of User. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
func NewUser(t mockConstructorTestingTNewUser) *User {
	mock := &User{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
